#
# spec file for package gap-edim
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-edim
Summary:        GAP: Elementary Divisors of Integer Matrices
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Version:        1.3.2
Release:        lp152.3.4
Url:            http://www.math.rwth-aachen.de/~Frank.Luebeck/EDIM

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/edim-%version.tar.bz2
BuildRequires:  gap-devel >= 4.5
BuildRequires:  gap-rpm-devel
BuildRequires:  gmp-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gap-core >= 4.5
Requires:       gap-gapdoc >= 1.5

%description
This package provides a collection of functions for computing the
Smith normal form of integer matrices and some related utilities.

%prep
%setup -qn edim

%build
./configure "%gapdir"
make %{?_smp_mflags}

%install
%gappkg_simple_install
rm -Rf "%buildroot/$moddir/src"

%files -f %name.files
%defattr(-,root,root)

%changelog
* Tue Feb  4 2014 jengelh@inai.de
- Update to new upstream release 1.3.2
  * setting LANG and LC_ALL environment variables to "C" in configure
  script to avoid some locale related problems under OSX
* Fri May 10 2013 jengelh@inai.de
- Split edim (version 1.3.1) off the gap RPM package
